Extending Qt Creator Manual | LookupItem

Extending Qt Creator Manual 4.5.2

# LookupItem Class

(CPlusPlus::LookupItem)

- List of all members, including inherited members

## Public Functions

| LookupItem()
ClassOrNamespace * | binding() const
Symbol * | declaration() const
Scope * | scope() const
void | setBinding(ClassOrNamespace *binding)
void | setDeclaration(Symbol *declaration)
void | setScope(Scope *scope)
void | setType(const FullySpecifiedType &type)
FullySpecifiedType | type() const
bool | operator!=(const LookupItem &other) const
bool | operator==(const LookupItem &other) const

## Member Function Documentation

### LookupItem::LookupItem()

Default constructs an instance of LookupItem.

### ClassOrNamespace *LookupItem::binding() const

See also setBinding().

### Symbol *LookupItem::declaration() const

See also setDeclaration().

### Scope *LookupItem::scope() const

See also setScope().

### void LookupItem::setBinding(ClassOrNamespace *binding)

See also binding().

### void LookupItem::setDeclaration(Symbol *declaration)

See also declaration().

### void LookupItem::setScope(Scope *scope)

See also scope().

### void LookupItem::setType(const FullySpecifiedType &type)

See also type().

### FullySpecifiedType LookupItem::type() const

See also setType().

### bool LookupItem::operator!=(const LookupItem &other) const

### bool LookupItem::operator==(const LookupItem &other) const